Broker Promotion
Retrieve Parallels RAS Connection Broker Auto Promotion Settings.
The Site ID for which to retrieve the Parallels RAS Connection Broker Auto Promotion settings. (optional)
Success
RAS Connection Broker Auto Promotion
Whether Auto Promotion is enabled.
The amount of time (in mins) required to enable auto promotion.
Whether Failback is enabled.
Whether Replicate is enabled.
Unauthorized
Not Found
GET /api/BrokerAutoPromotion HTTP/1.1
Accept: */*
{
"enabled": true,
"autoPromoteAfterMins": 1,
"failbackEnabled": true,
"replicate": true
}Modify Parallels RAS Auto Promotion Settings.
The Site ID for which to modify the Parallels RAS Auto Promotion Settings. (optional)
Whether Auto Promotion is enabled or not.
The amount of time (in mins) required to enable auto promotion.
Whether Failback is enabled or not.
Whether Replicate is enabled or not.
No Content
No content
Unauthorized
Not Found
PUT /api/BrokerAutoPromotion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 81
{
"enabled": true,
"autoPromoteAfterMins": 1,
"failbackEnabled": true,
"replicate": true
}No content
Last updated